#!/usr/bin/env python
# -*- Python -*-
# Windows hand_ctrl

## @Library Source Path.
# To Be Editted by User.
# RtmToolsDir="C:\\openrtm\\HandEyeSystem_V3.x\\script2\\tools"
## @Source Path.
# To Be Editted by User.
# MyRtcDir="C:\openrtm\HandEyeSystem_V3.x\\HandCtrl"

import sys
import time
sys.path.append("../../etc")
from set_env import *
sys.path.append(LibDir)
from rtc_handle import *
sys.path.append(SrcDir+'/tools/geo')
from geo import *
sys.path.append(BinDir+"/comp")
import _GlobalIDL

##
#
def assign_variables(env) :
  global hand_ctrl
  hand_ctrl= env.name_space[ DEVICE_NS ].rtc_handles['HandCtrl0.rtc']
  hand_ctrl.services['RH707Prov'].provided['com_hand'].narrow_ref(globals())

#
def activate() :
  hand_ctrl.activate()

def deactivate() :
  hand_ctrl.deactivate()
#
def reset() :
  hand_ctrl.execution_contexts[0].reset_component(hand_ctrl.rtc_ref)
  hand_ctrl.services['RH707Prov'].provided['com_hand'].ref.InitHand()
#
## hand control function to open/close/stop/get condition
def hand_open(slow_flg) :
  hand_ctrl.services['RH707Prov'].provided['com_hand'].ref.OpenHand(slow_flg)
#
def hand_close(slow_flg) :
  hand_ctrl.services['RH707Prov'].provided['com_hand'].ref.CloseHand(slow_flg)
#
def hand_stop() :
  hand_ctrl.services['RH707Prov'].provided['com_hand'].ref.StopHand()
#
def hand_cond() :
  cond = hand_ctrl.services['RH707Prov'].provided['com_hand'].ref.GetHandCond()
  if(cond == 1) :
    print "Hand Condition: \"now moving\""
  elif(cond == 2) :
    print "Hand Condition: \"OPENED\""
  elif(cond == 3) :
    print "Hand Condition: \"CLOSED\""
  elif(cond == 4) :
    print "Hand Condition: \"INTERRUPTED\""
###
#  start handle
def start_handle(env) :
  assign_variables(env)
  activate()

###############################
#  start a demonstration      #
###############################
env = RtmEnv(sys.argv,[ DEVICE_NS ])
for ns in env.name_space :
  env.name_space[ns].list_obj()
start_handle(env)

