#!/bin/sh

rtc-template -bcxx --module-name=ACT_PA10_RH \
   --module-desc='ACT_RTC 中レベルI/FによるPA10,RHアーム制御モジュール' \
   --module-version=1.0.0 \
   --module-vendor=RTC-Center \
   --module-category=ACT_RTC \
   --module-comp-type=STATIC \
   --module-act-type=PERIODIC \
   --module-max-inst=0 \
   --service-idl=ManipulatorCommonInterface_Common.idl \
   --service-idl=ManipulatorCommonInterface_MiddleLevel.idl \
   --service-idl=com_ACT.idl \
   --consumer-idl=com_RMRC.idl \
   --consumer-idl=com_hand.idl \
   --service=MiddleProv:ManipulatorCommonInterface_Middle:ManipulatorCommonInterface_Middle \
   --service=CommonProv:ManipulatorCommonInterface_Common:ManipulatorCommonInterface_Common \
   --service=ACTProv:com_ACT:ComACT \
   --consumer=RMRCCons:com_frm_ctrl:ComFrmCtrl \
   --consumer=RMRCCons:com_fk:ComFk \
   --consumer=RMRCCons:com_move:ComMove \
   --consumer=HandCons:com_hand:ComHand
