#!/usr/bin/env python
# -*- Python -*-

import sys
import time
sys.path.append("../../etc")
from set_env import *
sys.path.append(LibDir)
from rtc_handle import *
#sys.path.append("./Hand_Ctrl")
sys.path.append(SrcDir+'/tools/geo')
##
#
from rtc_handle import *
sys.path.append(BinDir+"/comp")
import _GlobalIDL

# RTCs which must be handled
check_list = dict()
check_list[RMRC_NS] = ["vel_7dof0.rtc", "pa10disp0.rtc", "RMRC0.rtc" ]

##
# check needed RTCs exist or not
def RTCAliveCheck() :
  for nskey, chlst in check_list.iteritems() :
    for rtc in chlst :
      if((rtc in rtc_list[nskey].keys()) == False) :
        return 0
  return 1
##
# create env
env = RtmEnv(sys.argv,[ RMRC_NS, PACT_NS ])
rtc_list = dict()
for ns in env.name_space :
  env.name_space[ns].list_obj()
  rtc_list[ns] = env.name_space[ns].rtc_handles # RTCs which is now handled
PA10SysCtrlr = env.name_space[PACT_NS].rtc_handles['PA10SystemController0.rtc']
PA10SysCtrlr.services['PA10SysCtrlrProv'].provided['SystemControl'].narrow_ref(globals())
RTCAliveCheck() 
if(RTCAliveCheck() == 1) :
  PA10SysCtrlr.services['PA10SysCtrlrProv'].provided['SystemControl'].ref.PA10SetStatus(0)
else :
  PA10SysCtrlr.services['PA10SysCtrlrProv'].provided['SystemControl'].ref.PA10SetStatus(3)
  PA10SysCtrlr.services['PA10SysCtrlrProv'].provided['SystemControl'].ref.PA10ReportError(0)

